SET SERVEROUTPUT ON SIZE 1000000
SET LINES 100
DECLARE
  v_last_end NUMBER;
  v_linesize NUMBER;
  v_count NUMBER;
  v_i NUMBER;
  v_j NUMBER;
  v_k NUMBER;
  CURSOR c_ext IS
  SELECT block_id AS b_start, block_id + blocks -1 AS b_end, blocks
  FROM dba_extents
  WHERE tablespace_name = 'TOOLS';
BEGIN
  v_last_end := 127;
  v_linesize := 80;
  v_count := 0;
  v_j := 1;
  FOR v_i IN 0..127 LOOP
    DBMS_OUTPUT.PUT('S');
    v_j := v_j + 1;
    IF v_j >= v_linesize THEN
      v_count := v_count + v_linesize;
      DBMS_OUTPUT.PUT_LINE(' '||TO_CHAR(v_count - v_linesize)||'-||TO_CHAR(v_count - 1));
      v_j := 1;
    END IF;
  END LOOP;
  FOR cur_rec IN c_ext LOOP
    IF cur_rec.b_start > v_last_end + 1 THEN
      FOR v_i IN (v_last_end + 1)..(cur_rec.b_start - 1) LOOP
        DBMS_OUTPUT.PUT('O');
        v_j := v_j + 1;
        IF v_j >= v_linesize THEN
          v_count := v_count + v_linesize;
          DBMS_OUTPUT.PUT_LINE(' '||TO_CHAR(v_count - v_linesize)||'-'||TO_CHAR(v_count - 1));
          v_j := 1;
        END IF;
      END LOOP;
    END IF;
    FOR v_i IN 1..cur_rec.blocks LOOP
      DBMS_OUTPUT.PUT('X');
      v_j := v_j + 1;
      IF v_j >= v_linesize THEN
        v_count := v_count + v_linesize;
        DBMS_OUTPUT.PUT_LINE(' '||TO_CHAR(v_count - v_linesize)||'-'||TO_CHAR(v_count - 1));
        v_j := 1;
      END IF;
    END LOOP;
    v_last_end := cur_rec.b_end;
  END LOOP;
  IF v_j > 1 THEN
    FOR v_k IN 1..(v_linesize - v_j) LOOP
      DBMS_OUTPUT.PUT(' ');
    END LOOP;
    DBMS_OUTPUT.PUT_LINE(' '||TO_CHAR(v_count)||'-'||TO_CHAR(v_count + v_linesize - 1 - (v_linesize - v_j)));
  END IF;
  DBMS_OUTPUT.PUT_LINE('--------------- End of report --------------------');
END;
/