SELECT d.job_name,j.state,j.job_mode,j.degree,
d.owner_name, q.sql_text, l.message,
l.totalwork, l.sofar, round((l.sofar/l.totalwork)*100,2) done,
l.time_remaining
FROM dba_datapump_jobs j, dba_datapump_sessions d, v$session s,
v$sql q, v$session_longops l
WHERE j.job_name = d.job_name
AND s.saddr = d.saddr
AND s.sql_id = q.sql_id
AND l.sql_id = q.sql_id
AND s.module = 'Data Pump Worker'
AND l.time_remaining > 0;
