CREATE OR REPLACE PROCEDURE rollback_employees
AS
BEGIN
FOR rec IN
  (SELECT sql_undo, row_id FROM v$logmnr_contents
  WHERE table_name = 'EMPLOYEES' AND seg_owner = 'HR'
  AND operation = 'UPDATE')
LOOP
BEGIN
  EXECUTE IMMEDIATE 'rec.sql_undo';
  DBMS_OUTPUT.PUT_LINE(rec.sql_undo);
  END;
END LOOP;
END;
/
SET SERVEROUTPUT ON SIZE 1000000
EXEC rollback_employees;