SELECT t.table_name,
ROUND ( (m.deletes + m.updates + m.inserts) / t.num_rows * 100) percent
FROM dba_tables t, dba_tab_modifications m
WHERE t.owner = 'HR' AND t.table_name = m.table_name
AND t.num_rows > 0
AND ROUND ( (m.deletes + m.updates + m.inserts) / t.num_rows * 100) >= 15;