COL wait_class FORMAT a12
SELECT wait_class, ROUND((time_waited / 100),2) Sekunden,
ROUND (100 * (time_waited/sum_time),2) Prozent
FROM (SELECT wait_class, total_waits, time_waited
FROM v$system_wait_class
WHERE wait_class != 'Idle'),
(SELECT SUM(total_waits) sum_waits, SUM(time_waited) sum_time
FROM v$system_wait_class
WHERE wait_class != 'Idle')
ORDER BY 3 DESC;