SELECT b.username, b.sid,
(1 - a.physical_reads / (a.block_gets + a.consistent_gets)) "Hit Ratio"
FROM v$sess_io a, v$session b
WHERE a.sid = b.sid
AND (a.block_gets + a.consistent_gets) != 0
AND b.username IS NOT NULL;