-- 1. Root Mean Square Error - Sqrt(Mean((y - y')^2))
SELECT SQRT(AVG((prediction - age) * (prediction - age))) rmse
FROM (select age, PREDICTION(svmr_sh_regr_sample USING *) prediction
from mining_data_test_parallel_v);
-- 2. Mean Absolute Error - Mean(|(y - y')|)
SELECT AVG(ABS(prediction - age)) mae
FROM (select age, PREDICTION(svmr_sh_regr_sample USING *) prediction
from mining_data_test_parallel_v);
-- 3. Residuals
SELECT prediction, (prediction - age) residual
FROM (select age, PREDICTION(svmr_sh_regr_sample USING *) prediction
from mining_data_test_parallel_v)
WHERE prediction < 17.5
ORDER BY prediction;