CREATE TABLE ssb.lineorder(
lo_orderkey        INTEGER NOT NULL,
lo_linenumber      NUMBER(1, 0) NOT NULL,
lo_custkey         INTEGER NOT NULL,
lo_partkey         INTEGER NOT NULL,
lo_suppkey         INTEGER NOT NULL,
lo_orderdate       NUMBER(8,0) NOT NULL,
lo_orderpriority   CHAR(15) NOT NULL,
lo_shippriority    CHAR(1) NOT NULL,
lo_quantity        NUMBER(2, 0) NOT NULL,
lo_extendedprice   NUMBER NOT NULL,
lo_ordtotalprice   NUMBER NOT NULL,
lo_discount        NUMBER(2, 0) NOT NULL,
lo_revenue         NUMBER NOT NULL,
lo_supplycost      NUMBER NOT NULL,
lo_tax             NUMBER(1, 0) NOT NULL,
lo_commitdate      NUMBER(8,0) NOT NULL,
lo_shipmode        CHAR(10) NOT NULL);
CREATE TABLE ssb.part(
p_partkey     INTEGER NOT NULL,
p_name        VARCHAR2(22) NOT NULL,
p_mfgr        CHAR(6) NOT NULL,
p_category    CHAR(7) NOT NULL,
p_brand1      CHAR(9) NOT NULL,
p_color       VARCHAR2(11) NOT NULL,
p_type        VARCHAR2(25) NOT NULL,
p_size        NUMBER(2, 0) NOT NULL,
p_container   CHAR(10) NOT NULL);
CREATE TABLE ssb.supplier(
s_suppkey   INTEGER NOT NULL,
s_name      CHAR(25) NOT NULL,
s_address   VARCHAR2(25) NOT NULL,
s_city      CHAR(10) NOT NULL,
s_nation    CHAR(15) NOT NULL,
s_region    CHAR(12) NOT NULL,
s_phone     CHAR(15) NOT NULL);
CREATE TABLE ssb.customer(
c_custkey      INTEGER NOT NULL,
c_name         VARCHAR2(25) NOT NULL,
c_address      VARCHAR2(25) NOT NULL,
c_city         CHAR(10) NOT NULL,
c_nation       CHAR(15) NOT NULL,
c_region       CHAR(12) NOT NULL,
c_phone        CHAR(15) NOT NULL,
c_mktsegment   CHAR(10) NOT NULL);
CREATE TABLE ssb.date_dim(
d_datekey            NUMBER(8,0) NOT NULL,
d_date               CHAR(18) NOT NULL,
d_dayofweek          CHAR(9) NOT NULL,    
d_month              CHAR(9) NOT NULL,
d_year               NUMBER(4, 0) NOT NULL,
d_yearmonthnum       NUMBER(6, 0) NOT NULL,
d_yearmonth          CHAR(7) NOT NULL,
d_daynuminweek       NUMBER(1, 0) NOT NULL,
d_daynuminmonth      NUMBER(2, 0) NOT NULL,
d_daynuminyear       NUMBER(3, 0) NOT NULL,
d_monthnuminyear     NUMBER(2, 0) NOT NULL,
d_weeknuminyear      NUMBER(2, 0) NOT NULL,
d_sellingseason      CHAR(12) NOT NULL,
d_lastdayinweekfl    NUMBER(1, 0) NOT NULL,
d_lastdayinmonthfl   NUMBER(1, 0) NOT NULL,
d_holidayfl          NUMBER(1, 0) NOT NULL,
d_weekdayfl          NUMBER(1, 0) NOT NULL
);