SET SERVEROUTPUT ON SIZE 1000000
SET LONG 200000
SET HEAD OFF
SET PAGES 0
SET FEEDBACK OFF
SET LINES 500
SELECT 'SET LONG 200000 head off pages 0 feedback off lines 500' FROM dual;
SELECT 'SET SERVEROUTPUT ON SIZE 1000000' FROM dual;
SELECT 'EXEC LF_GET_DDL(''TABLESPACE'','''||tablespace_name||''');'
FROM dba_tablespaces
WHERE tablespace_name NOT IN ('SYSTEM','SYSAUX')
AND tablespace_name NOT LIKE 'UNDO%';
SELECT 'EXEC LF_GET_DDL(''ROLE'','''||role||''');'
FROM DBA_ROLES
WHERE role NOT IN
('AQ_ADMINISTRATOR_ROLE','AQ_USER_ROLE','CONNECT','DATAPUMP_EXP_FULL_DATABASE',
'DATAPUMP_IMP_FULL_DATABASE','DBA','DELETE_CATALOG_ROLE','EXECUTE_CATALOG_ROLE'
,'EXP_FULL_DATABASE','GATHER_SYSTEM_STATISTICS','GLOBAL_AQ_USER_ROLE',
'HS_ADMIN_ROLE','IMP_FULL_DATABASE','LOGSTDBY_ADMINISTRATOR','OEM_ADVISOR',
'OEM_MONITOR','RECOVERY_CATALOG_OWNER','RESOURCE','SCHEDULER_ADMIN',
'SELECT_CATALOG_ROLE','WM_ADMIN_ROLE');
SELECT 'EXEC LF_GET_GRANTED_DDL(''ROLE_GRANT'','''||role||''');'
FROM DBA_ROLES
WHERE role NOT IN
('AQ_ADMINISTRATOR_ROLE','AQ_USER_ROLE','CONNECT','DATAPUMP_EXP_FULL_DATABASE',
'DATAPUMP_IMP_FULL_DATABASE','DBA','DELETE_CATALOG_ROLE','EXECUTE_CATALOG_ROLE',
'EXP_FULL_DATABASE','GATHER_SYSTEM_STATISTICS','GLOBAL_AQ_USER_ROLE',
'HS_ADMIN_ROLE','IMP_FULL_DATABASE','LOGSTDBY_ADMINISTRATOR','OEM_ADVISOR',
'OEM_MONITOR','RECOVERY_CATALOG_OWNER','RESOURCE','SCHEDULER_ADMIN',
'SELECT_CATALOG_ROLE','WM_ADMIN_ROLE');
SELECT 'EXEC LF_GET_GRANTED_DDL(''SYSTEM_GRANT'','''||role||''');'
FROM DBA_ROLES
WHERE role NOT IN
('AQ_ADMINISTRATOR_ROLE','AQ_USER_ROLE','CONNECT','DATAPUMP_EXP_FULL_DATABASE',
'DATAPUMP_IMP_FULL_DATABASE','DBA','DELETE_CATALOG_ROLE','EXECUTE_CATALOG_ROLE'
,'EXP_FULL_DATABASE','GATHER_SYSTEM_STATISTICS','GLOBAL_AQ_USER_ROLE',
'HS_ADMIN_ROLE','IMP_FULL_DATABASE','LOGSTDBY_ADMINISTRATOR','OEM_ADVISOR',
'OEM_MONITOR','RECOVERY_CATALOG_OWNER','RESOURCE','SCHEDULER_ADMIN',
'SELECT_CATALOG_ROLE','WM_ADMIN_ROLE');
SELECT DISTINCT 'EXEC LF_GET_DDL(''PROFILE'','''||profile||''');'
FROM dba_profiles
WHERE profile != 'DEFAULT';
SELECT 'EXEC LF_GET_DDL3(''DB_LINK'','''||db_link||''',''PUBLIC'');'
FROM dba_db_links
WHERE owner = 'PUBLIC';
SELECT 'EXEC LF_GET_DDL3(''SYNONYM'','''||synonym_name||''',''PUBLIC'');'
FROM dba_synonyms
WHERE table_owner NOT IN
('ANONYMOUS','CTXSYS','DBSNMP','DMSYS','EXFSYS','MDSYS','MGMT_VIEW','ODM',
'ODM_MTR','OLAPSYS','ORDPLUGINS','ORDSYS','OUTLN','SYS','SYSTEM','WKPROXY',
'WKSYS','WMSYS','XDB');
